/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.gan.model;

import com.google.api.client.json.GenericJson;

/**
 * An ApiMoneyProto.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Affiliate Network API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Money extends GenericJson {

  /**
   * The amount of money.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Double amount;

  /**
   * The 3-letter code of the currency in question.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String currencyCode;

  /**
   * The amount of money.
   * The value returned may be {@code null}.
   */
  public Double getAmount() {
    return amount;
  }

  /**
   * The amount of money.
   * The value set may be {@code null}.
   */
  public Money setAmount(Double amount) {
    this.amount = amount;
    return this;
  }

  /**
   * The 3-letter code of the currency in question.
   * The value returned may be {@code null}.
   */
  public String getCurrencyCode() {
    return currencyCode;
  }

  /**
   * The 3-letter code of the currency in question.
   * The value set may be {@code null}.
   */
  public Money setCurrencyCode(String currencyCode) {
    this.currencyCode = currencyCode;
    return this;
  }

}
