/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.gan.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.json.JsonString;

/**
 * A ReportResource representing a report of a certain type either for an advertiser or publisher.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Affiliate Network API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Report extends GenericJson {

  /**
   * The column names for the report
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key("column_names")
  private java.util.List<String> columnNames;

  /**
   * The end of the date range for this report, exclusive.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key("end_date")
  private String endDate;

  /**
   * The kind for a report.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The number of matching rows before paging is applied.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key("matching_row_count") @JsonString
  private Long matchingRowCount;

  /**
   * The rows of data for the report
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<java.util.List<Object>> rows;

  /**
   * The start of the date range for this report, inclusive.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key("start_date")
  private String startDate;

  /**
   * The totals rows for the report
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key("totals_rows")
  private java.util.List<java.util.List<Object>> totalsRows;

  /**
   * The report type.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String type;

  /**
   * The column names for the report
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getColumnNames() {
    return columnNames;
  }

  /**
   * The column names for the report
   * The value set may be {@code null}.
   */
  public Report setColumnNames(java.util.List<String> columnNames) {
    this.columnNames = columnNames;
    return this;
  }

  /**
   * The end of the date range for this report, exclusive.
   * The value returned may be {@code null}.
   */
  public String getEndDate() {
    return endDate;
  }

  /**
   * The end of the date range for this report, exclusive.
   * The value set may be {@code null}.
   */
  public Report setEndDate(String endDate) {
    this.endDate = endDate;
    return this;
  }

  /**
   * The kind for a report.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * The kind for a report.
   * The value set may be {@code null}.
   */
  public Report setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The number of matching rows before paging is applied.
   * The value returned may be {@code null}.
   */
  public Long getMatchingRowCount() {
    return matchingRowCount;
  }

  /**
   * The number of matching rows before paging is applied.
   * The value set may be {@code null}.
   */
  public Report setMatchingRowCount(Long matchingRowCount) {
    this.matchingRowCount = matchingRowCount;
    return this;
  }

  /**
   * The rows of data for the report
   * The value returned may be {@code null}.
   */
  public java.util.List<java.util.List<Object>> getRows() {
    return rows;
  }

  /**
   * The rows of data for the report
   * The value set may be {@code null}.
   */
  public Report setRows(java.util.List<java.util.List<Object>> rows) {
    this.rows = rows;
    return this;
  }

  /**
   * The start of the date range for this report, inclusive.
   * The value returned may be {@code null}.
   */
  public String getStartDate() {
    return startDate;
  }

  /**
   * The start of the date range for this report, inclusive.
   * The value set may be {@code null}.
   */
  public Report setStartDate(String startDate) {
    this.startDate = startDate;
    return this;
  }

  /**
   * The totals rows for the report
   * The value returned may be {@code null}.
   */
  public java.util.List<java.util.List<Object>> getTotalsRows() {
    return totalsRows;
  }

  /**
   * The totals rows for the report
   * The value set may be {@code null}.
   */
  public Report setTotalsRows(java.util.List<java.util.List<Object>> totalsRows) {
    this.totalsRows = totalsRows;
    return this;
  }

  /**
   * The report type.
   * The value returned may be {@code null}.
   */
  public String getType() {
    return type;
  }

  /**
   * The report type.
   * The value set may be {@code null}.
   */
  public Report setType(String type) {
    this.type = type;
    return this;
  }

}
